
/*
 * Written by Scott Auge scott_auge@yahoo.com sauge@amduus.com
 * Copyright (c) 2001 Amduus Information Works, Inc.  www.amduus.com
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by Amduus Information Works
 *      Inc. and its contributors.
 * 4. Neither the name of Amduus Information Works, Inc. nor the names of 
 *    its contributors may be used to endorse or promote products derived 
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY AMDUUS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AMDUUS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */


/*-----------------------------------------------------
 * ModifyAddress.p
 * Written by Scott Auge
 *
 * Modify an address within the system.
 * 
 * Must use the AddressSeq to locate the address to be modified.
 *
 * Currently oriented to the United States.
 *-----------------------------------------------------
 */

DEF VAR RCSVersion AS CHARACTER INIT "$Header: /home/appl/srvexp/src/api/records/RCS/ModifyAddress.p,v 1.2 2001/12/05 03:23:54 sauge Exp $" NO-UNDO.

DEF INPUT PARAMETER pAddressSeq  AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER pStreet1     AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER pStreet2     AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER pApartment   AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER pCity        AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER pState       AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER pZipCode     AS CHARACTER NO-UNDO.

DEF OUTPUT PARAMETER pError      AS CHARACTER NO-UNDO.

{api/Error.inc}
{Log.i}

{LogIt.i '"Begin Program"'}

FIND Address EXCLUSIVE-LOCK
WHERE Address.AddressSeq = pAddressSeq
NO-ERROR.

IF NOT AVAILABLE Address THEN DO:

  ASSIGN pError = {&NORECORD}.
  RETURN.

END.  /* NOT AVAILABLE Address */

/* Set the data */

ASSIGN
Address.Street1   = pStreet1
Address.Street2   = pStreet2
Address.Apartment = pApartment
Address.City      = pCity
Address.State     = pState
Address.ZipCode   = pZipCode.

/* Set the APIs message */

ASSIGN 
pError = {&NOERROR}.

